# $Revision: 1.14 $, $Date: 2004/09/04 15:57:45 $
Summary:	XMMS - plugin to read current xmms status
Summary(pl):	Aplet do odczytu aktualnego stanu XMMS
Name:		xmms-general-infopipe
Version:	1.3
Release:	25
Epoch:		1
License:	GPL
Vendor:		Weyfour WWWWolf (aka Urpo Lankinen)
Group:		X11/Applications/Sound
Source0:	http://www.beastwithin.org/users/wwwwolf/code/xmms/xmms-infopipe-%{version}.tar.gz
# Source0-md5:	1ccc90254c58a81f87abc43720fe71bf
Patch0:		%{name}-tmpdir.patch
Patch1:		%{name}-divert.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XMMS InfoPipe is a plugin that reports XMMS status via named pipe.
Handy if you want to add interesting real-time information for a
personal web page, or a web cam page.

%description -l pl
XMMS InfoPipe to plugin wypisujcy aktualny status XMMS przez nazwan
rurk. Porczne gdy chcemy doda biec informacj np. na stron WWW.

%prep
%setup -q -n xmms-infopipe-%{version}
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{xmms_general_plugindir}/libinfopipe*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-general-infopipe.spec,v $
Revision 1.14  2004/09/04 15:57:45  domelu
- rel. 25 to rebuild

Revision 1.13  2004/01/05 21:55:51  andree
- patch1 -> fix divert error

Revision 1.12  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.11  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:28:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.8  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.7  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.6  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.5  2002/05/26 12:03:59  kloczek
- release 23.

Revision 1.4  2002/05/25 17:01:15  qboosh
- cosmetics in description

Revision 1.3  2002/05/21 23:19:49  kloczek
- typo in %build.

Revision 1.2  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/05/21 22:41:09  kloczek
- package rebamed: xmms-infopipe -> xmms-general-infopipe,
- removed all redundant Requires and BuildRequires rules,
- use new %doc packing infrastructure,
- added regenerate ac/am/lt files,
- removed INSTALL from %doc,
- spec adapterized and some minor changes and cleanups added.
